Subject: Re: [Last-Call] [babel] RtgDir review: draft-ietf-babel-information-model-11.txt

From: "STARK, BARBARA H" <[email-masked]>
Date: Mon, 2 Nov 2020 20:04:12 +0000

Thanks, Geoff, for reviewing. I'm sorry for my delayed response, but am glad that others were able to respond. Given their responses, I'm resolving your comments as follows. Please let me know if you disagree. And though I'm proposing no change, I really do appreciate your review. String length and units are extremely important concepts when specifying an information or data model.

> Nits:
> 
> It seems anomalous to this reviewer that it goes to the bit lengths of some
> integer valued objects, yet leaves string objects undefined in terms of any
> maximum length.

No change. As noted by others in their responses to this comment, the bit lengths of integer values must be specified because they correspond to protocol parameters that have specific length requirements. String objects have no length specified by the protocol. In this case, it is common practice (for information and data models) to leave length specification to the implementation. I've learned this the hard way over the last 15 years (specifying string lengths that turned out too short or too long for how someone wanted to use them).

> "centiseconds"? Really? "tenths of seconds" would be clearer to most
> readers!

No change. As noted by others in their responses to this comment, centiseconds is the unit specified by the protocol (so the info model is using consistent unit nomenclature) and it is the preferred manner for expressing this unit in data models I'm involved with.

Thanks again,
Barbara